﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        LogsViewModel vm1;
        ReportsViewModel vm2;

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as MainWindowViewModel).ChangeToReports();
        }

        private void OnLogsClicked(object sender, RoutedEventArgs e)
        {
            (this.DataContext as MainWindowViewModel).ChangeToLogs();
        }

        public static InitialPaneLocation? GetInitialLocation(DependencyObject obj)
        {
            return (InitialPaneLocation?)obj.GetValue(InitialLocationProperty);
        }

        public static void SetInitialLocation(DependencyObject obj, InitialPaneLocation? value)
        {
            obj.SetValue(InitialLocationProperty, value);
        }

        // Using a DependencyProperty as the backing store for InitialLocation.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty InitialLocationProperty =
            DependencyProperty.RegisterAttached("InitialLocation", typeof(InitialPaneLocation?), typeof(MainWindow), new PropertyMetadata(null));

        private static void OnInitialLocationChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            if (e.NewValue == null)
                return;

            SplitPane target = d as SplitPane;

            Debug.Assert(LogicalTreeHelper.GetParent(target) == null, "The split pane is already associated with an element.");

            if (LogicalTreeHelper.GetParent(target) != null)
                return;

            XamDockManager.SetInitialLocation(target, (InitialPaneLocation)e.NewValue);
        }
    }
}
